unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, LR_Class,
  LR_E_TXT, LR_E_HTM, LR_E_CSV, LR_Desgn, lr_e_cairo, LR_e_img, LR_e_htmldiv,
  lr_e_pdf, lr_pdfexp_reg, lrSpreadSheetExp;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    frCSVExport1: TfrCSVExport;
    frDesigner1: TfrDesigner;
    frHTMExport1: TfrHTMExport;
    frHtmlDivExport1: TfrHtmlDivExport;
    frImageExport1: TfrImageExport;
    frReport1: TfrReport;
    frTextExport1: TfrTextExport;
    frTNPDFExport1: TfrTNPDFExport;
    lrCairoExport1: TlrCairoExport;
    lrPDFExport1: TlrPDFExport;
    lrSpreadSheetExport1: TlrSpreadSheetExport;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.frm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  frReport1.DesignReport;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  RptName: string;
  isRptExist: boolean;
begin
  RptName := '.' + DirectorySeparator + 'reports' + DirectorySeparator + 'testrpt.lrf';
  isRptExist := FileExists(RptName);
  if isRptExist then begin
     frReport1.LoadFromXMLFile(RptName);
     frReport1.PrepareReport;
     frReport1.ShowPreparedReport;
  end else begin
     ShowMessage('Report not found: ' + RptName);
  end;
end;

end.

